Waiting for engine...
Skip to main content

Event Notifications REST API Reference - ESTopicAndSubscription

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

ESTopicAndSubscription

API for operating on an account's Event Streams topic and subscriptions

Required Privileges:

Ensure you have the Event Notification Administrator role.

Create an Event Streams topic and subscription

Creates an Event Streams topic and subscription for the specified account

Authorizations:
bearer-auth
path Parameters
accountId
required
string

The unique identifier of the Boomi account whose Event Streams topic and subscription are being created

Request Body schema: application/json
required
eventStreamsEnvironmentId
required
string

Event streams environment ID

eventStreamsSubscriptionName
required
string

Event streams subscription name

topicName
required
string

Name of Event Streams Topic

topicDescription
string

Description of Event Streams topic

Responses

Request samples

Content type
application/json
{
  • "eventStreamsEnvironmentId": "0b8bc0ef-d4d1-4797-9234-935cf0ff3f63",
  • "eventStreamsSubscriptionName": "Subscription1",
  • "topicName": "Topic1",
  • "topicDescription": "Topic for User updates"
}

Response samples

Content type
application/json
{
  • "data": {
    • "eventStreamsSubscriptionCreate": {
      }
    }
}